/***************************************************************/
//
//
//		DirectX	[mouse.h]
//
//									Author	kazuki tanaka
//									Date	2016 07/08
/*---------------------------------------------------------------
■Update : 2016/07/08

/*-------------------------------------------------------------*/
#ifndef _MOUSE_H_

#define _MOUSE_H_


#include "main.h"

// マウスボタン仮想値
typedef enum{

	MOUSE_BUTTON_LEFT = 0,
	MOUSE_BUTTON_RIGHT,
	MOUSE_BUTTON_CENTER,

}MOUSE_STATE;


// プロトタイプ宣言
HRESULT InitMouse(HINSTANCE hInstance, HWND hWnd);
void UninitMouse(void);
void UpdateMouse(void);

bool GetMousePress(int nKey);
bool GetMouseTrigger(int nKey);
bool GetMouseRepeat(int nKey);
bool GetMouseRelease(int nKey);

DIMOUSESTATE2 GetMouse( void );

LONG GetMouseX( void );
LONG GetMouseY( void );
LONG GetMouseZ( void );


#endif	// _MOUSE_H_